Linux Bash严重漏洞修复方案

漏洞背景

日前Linux官方内置Bash中新发现一个非常严重安全漏洞(漏洞参考 https://access.redhat.com/security/cve/CVE-2014-6271),黑客可以利用该Bash漏洞完全控制目标系统并发起攻击,为了避免您Linux服务器受影响,在9月25日给出的Linux官方解决方案基础上。
特别提醒:Linux官方已经给出最新解决方案,已经解决被绕过的bug,建议您尽快重新完成漏洞修补。

已确认被成功利用的软件及系统

所有安装GNU bash 版本小于或者等于4.3的Linux操作系统。
受影响的系统包括:
CentOS、Debian、Redhat、Ubuntu

漏洞描述

该漏洞源于你调用的bash shell之前创建的特殊的环境变量,这些变量可以包含代码,同时会被bash执行。

漏洞检测方法

漏洞检测命令:
env -i X='() { (a)=>\’ bash -c ‘echo date’; cat echo
修复前
输出: 当前系统时间

使用修补方案修复后
输出:date
(备注:输出结果中见到”date”字样就修复成功了。)
特别提示:该修复不会有任何影响,如果您的脚本使用以上方式定义环境变量,修复后您的脚本执行会报错。

建议修补方案

centos:(最终解决方案) 
yum clean all
yum makecache
yum -y update bash
执行上面命令时如果报下面的错误
Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again
解决办法:处理很简单,修改文件”/etc/yum.repos.d/epel.repo”, 将baseurl的注释取消, mirrorlist注释掉,即可

ubuntu:(最终解决方案) 
apt-get update
apt-get -y install –only-upgrade bash

debian:(最终解决方案) 
7.5 64bit && 32bit
apt-get update
apt-get -y install –only-upgrade bash

6.0.x 64bit
wget http://mirrors.aliyun.com/debian/pool/main/b/bash/bash_4.1-3+deb6u2_amd64.deb && dpkg -i bash_4.1-3+deb6u2_amd64.deb

6.0.x 32bit
wget http://mirrors.aliyun.com/debian/pool/main/b/bash/bash_4.1-3+deb6u2_i386.deb && dpkg -i bash_4.1-3+deb6u2_i386.deb


aliyun linux:(最终解决方案)
5.x 64bit
wget http://mirrors.aliyun.com/centos/5/updates/x86_64/RPMS/bash-3.2-33.el5_11.4.x86_64.rpm

5.x 32bit
wget http://mirrors.aliyun.com/centos/5/updates/i386/RPMS/bash-3.2-33.el5_11.4.i386.rpm && rpm -Uvh bash-3.2-33.el5_11.4.i386.rpm

opensuse:(最终解决方案
zypper clean
zypper refresh
zypper update -y bash

0 个评论

要回复文章请先登录注册